package ibase.webitm.ejb.adm;


import ibase.webitm.ejb.ValidatorLocal;
import ibase.webitm.utility.ITMException;

import java.rmi.RemoteException;
import java.sql.Connection;

import javax.ejb.Local;

import org.w3c.dom.Document;
// added for ejb3
@Local 
public interface PfNumberprsLocal extends ValidatorLocal
{
	public String preSave()throws RemoteException,ITMException;
	public String preSave( String domString, String editFlag, String xtraParams, Connection conn ) throws RemoteException,ITMException;
	public String itemChanged() throws RemoteException,ITMException;

	public String itemChanged(String xmlString_, String xmlString1,String xmlString2, String objContext, String currentColumn, String editFlag, String xtraParams) throws RemoteException,ITMException;

	public String itemChanged(Document dom_, Document dom1, Document dom2, String objContext, String currentColumn, String editFlag, String xtraParams) throws RemoteException,ITMException;


}
